function pol=evalaux(vstruct);
%function for evaluation of the vector of structures of the form
%  vstruct=[struct('pair',1,'fq_cf',0,'dmp_n',0); ... ]; 
%
%	if pair==1 =>pair of complex poles ;pair==0 =>pole multiple
global Ts;

pol=1;
if ~isempty(vstruct),
   for k=1:length(vstruct),
      v=vstruct(k);
      p1=1;
      if v.pair==1, %oscilatory poles
         [num,p1]=fd2pol(v.fq_cf,v.dmp_n,Ts);
      elseif v.pair==0, %multiple pole
         for m=1:v.dmp_n,
            p1=conv(p1,[1 -v.fq_cf]);%(1 -coef.q^-1)^n
         end;
      end;
      pol=conv(pol,p1);
   end;
end;
