function templates(par)
global colorset;

if(par==1)%open edit window
	global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
	global Ts;
   global hedittemp;
   global Wsypu1 Wsup1;
   
   Wsypu1=Wsypu;
   Wsup1=Wsup;
   
   global h0;
   set(h0,'Unit','pixel');
   pmain=get(h0,'Position');
   set(h0,'Unit','point');
   ped=[295 180 560 420];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;
   
hed = dialog('Color',getfield(colorset,'Background'), ...
   'Position',ped, ...
   'Resize','off', ...
   'Name','Templates for Sensitivity Functions', ...
   'Deletefcn','templates(30);', ...
	'Tag','Fig1');
hax_sup = axes('Parent',hed, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',getfield(colorset,'Axes'), ...
	'FontSize',8, ...
	'Position',[0.3607142857142857 0.5714285714285715 0.6214285714285713 0.3928571428571429], ...
   'Tag','Axessup', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
   'ZColor',[0 0 0]);
h1=hax_sup;
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.49855907780980 -0.13414634146341 9.16025403784439], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.0749279538904899 0.4939024390243902 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.5821325648414986 1.079268292682927 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.49855907780980   1.03658536585366   9.16025403784439], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
hax_syp = axes('Parent',hed, ...
	'CameraUpVector',[0 1 0], ...
	'Color',getfield(colorset,'Axes'), ...
	'FontSize',8, ...
	'Position',[0.3589285714285714 0.08333333333333334 0.6232142857142856 0.3976190476190477], ...
	'Tag','Axessyp', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
   'ZColor',[0 0 0]);
h1=hax_syp;
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4971264367816092 -0.132530120481928 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.074712643678161 0.4939759036144578 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',[-0.5775862068965517 2.30722891566265 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4971264367816092 1.036144578313253 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[9 291.75 108.75 15], ...
	'String','Sup-Input Sensitivity function', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'ListboxTop',0, ...
	'Position',[12 138.75 108.75 15], ...
	'String','Syp-Output Sensitivity function', ...
	'Style','text', ...
	'Tag','StaticText1');
hbut_msup = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[74.25 204 45 15], ...
   'String','Move', ...
   'Callback','templates(11);', ...
   'Tag','movesup');
hts_syp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72.75 119.25 45 15], ...
	'Style','edit', ...
   'Tag','multTs');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[5.25 117.75 65.25 15], ...
	'String','Delay marg.(*Ts)', ...
	'Style','text', ...
	'Tag','StaticText3');
hf1_sup = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72.75 253.5 45 15], ...
	'Style','edit', ...
	'Tag','freq1sup');
hf2_sup = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72.75 237.75 45 15], ...
	'Style','edit', ...
	'Tag','freq2sup');
hm_sup = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72.75 222 45 15], ...
	'Style','edit', ...
	'Tag','magsup');
hbut_rsup = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[9.75 204 61.5 12], ...
   'String','Default', ...
   'Callback','templates(12);', ...
	'Tag','resetsup');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[11.25 252.75 60 15], ...
	'String','Frequency 1[Hz]', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[9 237 62.25 15], ...
	'String','Frequency 2[Hz]', ...
	'Style','text', ...
	'Tag','stattxt');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[6.75 221.25 64.5 14.25], ...
	'String','New magnit. [dB]', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[6 67.5 64.5 14.25], ...
	'String','New magnit. [dB]', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[8.25 83.25 62.25 15], ...
	'String','Frequency 2[Hz]', ...
	'Style','text', ...
	'Tag','stattxt');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[10.5 99 60 15], ...
	'String','Frequency 1[Hz]', ...
	'Style','text', ...
	'Tag','StaticText2');
hbut_msyp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[9 50.25 61.5 12], ...
   'String','Default', ...
   'CallBack','templates(22);', ...
	'Tag','resetsyp');
hm_syp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72 68.25 45 15], ...
	'Style','edit', ...
	'Tag','magsyp');
hf2_syp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72 84 45 15], ...
	'Style','edit', ...
	'Tag','freq2syp');
hf1_syp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[72 99.75 45 15], ...
	'Style','edit', ...
	'Tag','freq1syp');
hbut_rsyp = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[73.5 50.25 45 15], ...
   'String','Move', ...
   'Callback','templates(21);', ...
	'Tag','movesyp');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[16.5 7.5 45 15], ...
   'String','Cancel', ...
   'CallBack','templates(31);', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hed, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[76.5 7.5 45 15], ...
   'String','OK', ...
   'Callback','templates(32);', ...
   'Tag','Pushbutton2');   

%display temp
	axes(hax_sup);
   htsup=plot(fn/Ts,Wsup,'r');
   xlabel('Fregency [Hz]');
   ylabel('Magnitude [dB]');
   set(htsup,'LineWidth',2);
   set(htsup,'Color',getfield(colorset,'Template'));
   set(hax_sup,'FontSize',8);
   set(hax_sup,'Color',getfield(colorset,'Axes'));
	set(hax_sup,'XGrid','on');
	set(hax_sup,'YGrid','on');
   
   axes(hax_syp);
   htsyp=plot(fn/Ts,Wsypu,'r');
   xlabel('Fregency [Hz]');
   ylabel('Magnitude [dB]');
   set(htsyp,'LineWidth',2);
   set(htsyp,'Color',getfield(colorset,'Template'));
   set(hax_syp,'FontSize',8);
	set(hax_syp,'XGrid','on');
	set(hax_syp,'YGrid','on');
   
   set(hax_syp,'Color',getfield(colorset,'Axes'));

   hedittemp=[hed htsup htsyp hf1_sup hf2_sup hm_sup hf1_syp hf2_syp hm_syp hts_syp];

elseif(par==11)%move Sup tepmlate
   global hedittemp;
	global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
   global Ts;
   str=get(hedittemp(4),'String');
   f1=str2num(str);
   str=get(hedittemp(5),'String');
   f2=str2num(str);
   str=get(hedittemp(6),'String');
   m=str2num(str);
   test=0;
   if(isempty(f1)|isempty(f2)|isempty(m)) test=1;end;
   if(test==0)
	   if(f1==f2) test=1;end;
	   if((f1<0)|(f2<0)) test=1;end;
      if(f1>(0.5/Ts))|(f2>(0.5/Ts)) test=1;end;
   end;
   if(test==0)
      if(f1>f2) x=f2;f2=f1;f1=x;end;
      fr=fn/Ts;
   	if(f1>0) index1=max(find(fr<=f1));else index1=1;end;
      index2=max(find(fr<=f2));
      for K=index1:index2 Wsup(K)=m;end;
   end;
   set(hedittemp(2),'YData',Wsup);
   
elseif(par==12)%reset Sup
   global hedittemp;
   global Wsup fn;
	Wsup=15*ones(size(fn));
   set(hedittemp(2),'YData',Wsup);

elseif(par==21)%move Syp
   global hedittemp;
	global Wsypu Wsypd Wsup Wsyb fn;%templates of sensitivity functions
   global Ts;
   str=get(hedittemp(7),'String');
   f1=str2num(str);
   str=get(hedittemp(8),'String');
   f2=str2num(str);
   str=get(hedittemp(9),'String');
   m=str2num(str);
   str=get(hedittemp(10),'String');
   mts=str2num(str);
   %delay margin
   if(isempty(mts)~=1)
      if(mts>=1) 
         mts=round(mts);
			% compute z
			z=exp(i*2*pi*fn);
			% maximum of the delay margin;
			delmarmax=20*log10(1+1./abs(1-1./z.^mts));%condition
         Wsypu=(min([Wsypu';delmarmax']))';
      end;
   end;
   %frequency region
   test=0;
   if(isempty(f1)|isempty(f2)|isempty(m)) test=1;end;
   if(test==0)
	   if(f1==f2) test=1;end;
	   if((f1<0)|(f2<0)) test=1;end;
	   if(f1>(0.5/Ts))|(f2>(0.5/Ts)) test=1;end;
   end;
   if(test==0)
      if(f1>f2) x=f2;f2=f1;f1=x;end;
      fr=fn/Ts;
   	if(f1>0) index1=max(find(fr<=f1));else index1=1;end;
      index2=max(find(fr<=f2));
      for K=index1:index2 Wsypu(K)=m;end;
   end;
   set(hedittemp(3),'YData',Wsypu);
   
elseif(par==22)%reset Syp
   global hedittemp;
   global Wsypu fn;
	Wsypu=6*ones(size(fn));%6dB
	% compute z
	z=exp(i*2*pi*fn);
	% maximum of the delay margin;
	delmarmax=20*log10(1+1./abs(1-1./z));%condition
	Wsypu=(min([Wsypu';delmarmax']))';
   set(hedittemp(3),'YData',Wsypu);
   
elseif(par==30)%deletefcn
   global hedittemp;   
   global Wsypu1 Wsup1;
   clear global Wsypu1 Wsup1;
   clear global hedittemp;
   global haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;

   %display graphs
   x=get(hpop_lu,'Value');
   v=get(haxes_lu,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_lu,'UserData',v);
   dispgrap(haxes_lu,x);
   
   x=get(hpop_ld,'Value');
	v=get(haxes_ld,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_ld,'UserData',v);
   dispgrap(haxes_ld,x);
   
   x=get(hpop_ru,'Value');
   v=get(haxes_ru,'UserData');
   v(1)=0;%to force change also templates
	set(haxes_ru,'UserData',v);
   dispgrap(haxes_ru,x);
   
elseif(par==31)%cancel callback
   global Wsypu1 Wsup1;
   global Wsypu Wsup;
   global hedittemp;   
	Wsypu=Wsypu1;
   Wsup=Wsup1;
   close;
elseif(par==32)%OK callback
   close;   
elseif(par==51)%load templates
   global fn Wsup Wsypu Wsypd;
  	[file,pathfile]=uigetfile('*.tpl','Load Input and Output sens. fn. Templates');
   name=[pathfile file];
   if(file~=0)  
	   eval(sprintf('load %s fn Wsyp Wsup -MAT;',name));
      disp(['Templates were loaded from :' name]);  
      %conversion automatic to dB(inside program is default dB)
      Wsypu=20*log10(Wsyp);
      Wsup=20*log10(Wsup);
      %display
	   global haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;
	   x=get(hpop_lu,'Value');
	   v=get(haxes_lu,'UserData');
	   v(1)=0;%to force change also templates
		set(haxes_lu,'UserData',v);
	   dispgrap(haxes_lu,x);
	   x=get(hpop_ld,'Value');
		v=get(haxes_ld,'UserData');
	   v(1)=0;%to force change also templates
		set(haxes_ld,'UserData',v);
	   dispgrap(haxes_ld,x);
	   x=get(hpop_ru,'Value');
	   v=get(haxes_ru,'UserData');
	   v(1)=0;%to force change also templates
		set(haxes_ru,'UserData',v);
   	dispgrap(haxes_ru,x);
   end;
   
   
elseif(par==52)%save templates
   global fn Wsup Wsypu;
	if(exist('Wsypu') & exist('Wsup') & exist('fn'))
      [file,pathfile]=uiputfile('*.tpl','Save templates of sens fns');
      if(file~=0)
         name=[pathfile file];
         Wsup=10.^(Wsup/20);
         Wsyp=10.^(Wsypu/20);  
	      eval(sprintf('save %s fn Wsyp Wsup;',name));
         disp(['Templates were saved to :' name]);  
         Wsup=20*log10(Wsup);
      end;
   end;
end;
