function axlimw(par)
global colorset;

if (par==0)|(par==1)|(par==2)|(par==3),  %filter syp,sup; poles syp,sup 
h0 = dialog('Color',getfield(colorset,'Background'), ...
	'FileName','D:\USERS\Hynek\LABORATORY\PPT_v2\window\axlimw.m', ...
   'MenuBar','none', ...
   'Name','Modify Axis Limits', ...
	'PaperPosition',[18 180 576 432], ...
   'PaperUnits','points', ...
   'deletefcn','', ...
	'Position',[398 372 254 92], ...
	'Tag','Fig1', ...
	'ToolBar','none');
hedt_ymn = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[36 31.5 45 15], ...
	'Style','edit', ...
	'Tag','Editymin');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[36 50.25 45 12], ...
	'String','Y - axes', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[6 33 27.75 12], ...
	'String','min', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[6 12 27.75 12], ...
	'String','max', ...
	'Style','text', ...
	'Tag','StaticText1');
hedt_ymx = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[36 10.5 45 15], ...
	'Style','edit', ...
	'Tag','Editymax');
hedt_xmx = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[126 10.5 45 15], ...
	'Style','edit', ...
	'Tag','Editxmax');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[96 12 27.75 12], ...
	'String','max', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[96 33 27.75 12], ...
	'String','min', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',getfield(colorset,'Background'), ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[126 50.25 45 12], ...
	'String','X - axes', ...
	'Style','text', ...
	'Tag','StaticText1');
hedt_xmn = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[126 31.5 45 15], ...
	'Style','edit', ...
   'Tag','Editxmin');
end;

if par==0, %init filter Syp
   global hvec_filter;
%hvec_filter=[h0 hax_flt hax_syp hax_sup hsld_att hsld_frq hsld_dmp htxt_att htxt_frq htxt_dmp ...
%      		htxt_num htxt_den hrad_syp hrad_sup htxt_flt hlst_flt];
   pmain=get(hvec_filter(1),'Position');
   ped=[398 372 254 92];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;
   set(h0,'Position',ped,'deletefcn','axlimw(10);');
   xlim=get(hvec_filter(3),'Xlim');
   ylim=get(hvec_filter(3),'Ylim');
   set(hedt_xmn,'string',num2str(xlim(1)),'Userdata',xlim(1));
   set(hedt_xmx,'string',num2str(xlim(2)),'Userdata',xlim(2));   
   set(hedt_ymn,'string',num2str(ylim(1)),'Userdata',ylim(1));
   set(hedt_ymx,'string',num2str(ylim(2)),'Userdata',ylim(2));   
   set(h0,'userdata','syp');
   global hvec_axlim;
   hvec_axlim=[hedt_xmn hedt_xmx hedt_ymn hedt_ymx h0];
   set(h0,'name','Limits for Syp');
   
elseif par==1, %init filter Sup
   global hvec_filter;
%hvec_filter=[h0 hax_flt hax_syp hax_sup hsld_att hsld_frq hsld_dmp htxt_att htxt_frq htxt_dmp ...
%      		htxt_num htxt_den hrad_syp hrad_sup htxt_flt hlst_flt];
   pmain=get(hvec_filter(1),'Position');
   ped=[398 372 254 92];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;
   set(h0,'Position',ped,'deletefcn','axlimw(10);');
   xlim=get(hvec_filter(4),'Xlim');
   ylim=get(hvec_filter(4),'Ylim');
   set(hedt_xmn,'string',num2str(xlim(1)),'Userdata',xlim(1));
   set(hedt_xmx,'string',num2str(xlim(2)),'Userdata',xlim(2));   
   set(hedt_ymn,'string',num2str(ylim(1)),'Userdata',ylim(1));
   set(hedt_ymx,'string',num2str(ylim(2)),'Userdata',ylim(2));   
   set(h0,'userdata','sup');
   global hvec_axlim;
   hvec_axlim=[hedt_xmn hedt_xmx hedt_ymn hedt_ymx h0];
   set(h0,'name','Limits for Sup');   
   
elseif par==2,%Syp poles
   global hvec_auxp;
%hvec_auxp=[h0 hax_syp hax_sup hlst_mod hsld_fq htxt_fq htxt_ftx hsld_dmp htxt_dmp htxt_dtx ...
%   	   hlst_aux hpop_aux htxt_aux];
   pmain=get(hvec_auxp(1),'Position');
   ped=[398 372 254 92];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;
   set(h0,'Position',ped,'deletefcn','axlimw(11);');
   xlim=get(hvec_auxp(2),'Xlim');
   ylim=get(hvec_auxp(2),'Ylim');
   set(hedt_xmn,'string',num2str(xlim(1)),'Userdata',xlim(1));
   set(hedt_xmx,'string',num2str(xlim(2)),'Userdata',xlim(2));   
   set(hedt_ymn,'string',num2str(ylim(1)),'Userdata',ylim(1));
   set(hedt_ymx,'string',num2str(ylim(2)),'Userdata',ylim(2));   
   set(h0,'userdata','syp');
   global hvec_axlim;
   hvec_axlim=[hedt_xmn hedt_xmx hedt_ymn hedt_ymx h0];
   set(h0,'name','Limits for Syp');   
   
elseif par==3,%Syp poles
   global hvec_auxp;
%hvec_auxp=[h0 hax_syp hax_sup hlst_mod hsld_fq htxt_fq htxt_ftx hsld_dmp htxt_dmp htxt_dtx ...
%   	   hlst_aux hpop_aux htxt_aux];
   pmain=get(hvec_auxp(1),'Position');
   ped=[398 372 254 92];
   ped(1)=pmain(1)+(pmain(3)-ped(3))/2;
   ped(2)=pmain(2)+(pmain(4)-ped(4))/2;
   set(h0,'Position',ped,'deletefcn','axlimw(11);');
   xlim=get(hvec_auxp(3),'Xlim');
   ylim=get(hvec_auxp(3),'Ylim');
   set(hedt_xmn,'string',num2str(xlim(1)),'Userdata',xlim(1));
   set(hedt_xmx,'string',num2str(xlim(2)),'Userdata',xlim(2));   
   set(hedt_ymn,'string',num2str(ylim(1)),'Userdata',ylim(1));
   set(hedt_ymx,'string',num2str(ylim(2)),'Userdata',ylim(2));   
   set(h0,'userdata','sup');
   global hvec_axlim;
   hvec_axlim=[hedt_xmn hedt_xmx hedt_ymn hedt_ymx h0];
   set(h0,'name','Limits for Sup');   
   
elseif par==10, %deletefcn filter
   global hvec_axlim;
   global hvec_filter;
   xmin=str2num(get(hvec_axlim(1),'String'));
   xmax=str2num(get(hvec_axlim(2),'String'));   
   if strcmp(get(hvec_axlim(5),'userdata'),'syp'),
	   if ~isempty(xmin)&~isempty(xmax),
	      set(hvec_filter(3),'Xlim',[xmin xmax]);
	   end;
	   ymin=str2num(get(hvec_axlim(3),'String'));
	   ymax=str2num(get(hvec_axlim(4),'String'));   
	   if ~isempty(ymin)&~isempty(ymax),
	      set(hvec_filter(3),'Ylim',[ymin ymax]);
      end;
   elseif strcmp(get(hvec_axlim(5),'userdata'),'sup'),
	   if ~isempty(xmin)&~isempty(xmax),
	      set(hvec_filter(4),'Xlim',[xmin xmax]);
	   end;
	   ymin=str2num(get(hvec_axlim(3),'String'));
	   ymax=str2num(get(hvec_axlim(4),'String'));   
	   if ~isempty(ymin)&~isempty(ymax),
	      set(hvec_filter(4),'Ylim',[ymin ymax]);
      end;
   end;
	close(hvec_axlim(5));
   clear global hvec_axlim;
   
elseif par==11, %deletefcn poles
   global hvec_axlim;
   global hvec_auxp;
   xmin=str2num(get(hvec_axlim(1),'String'));
   xmax=str2num(get(hvec_axlim(2),'String'));   
   if strcmp(get(hvec_axlim(5),'userdata'),'syp'),
	   if ~isempty(xmin)&~isempty(xmax),
	      set(hvec_auxp(2),'Xlim',[xmin xmax]);
	   end;
	   ymin=str2num(get(hvec_axlim(3),'String'));
	   ymax=str2num(get(hvec_axlim(4),'String'));   
	   if ~isempty(ymin)&~isempty(ymax),
	      set(hvec_auxp(2),'Ylim',[ymin ymax]);
      end;
   elseif strcmp(get(hvec_axlim(5),'userdata'),'sup'),
	   if ~isempty(xmin)&~isempty(xmax),
	      set(hvec_auxp(3),'Xlim',[xmin xmax]);
	   end;
	   ymin=str2num(get(hvec_axlim(3),'String'));
	   ymax=str2num(get(hvec_axlim(4),'String'));   
	   if ~isempty(ymin)&~isempty(ymax),
	      set(hvec_auxp(3),'Ylim',[ymin ymax]);
      end;
   end;
	close(hvec_axlim(5));
   clear global hvec_axlim;
   
end;
